Package org.apache.jmeter.gui.action

# Class StopStoppables

java.lang.Object
org.apache.jmeter.gui.action.AbstractAction
org.apache.jmeter.gui.action.StopStoppables

All Implemented Interfaces:
  `ActionListener`, `EventListener`, `Command`

@AutoService(Command.class) public class StopStoppables extends AbstractAction implements ActionListener
Stops stopables (Proxy, Mirror)

Since:
  2.5.1

## Constructor Summary

Constructors
Constructor
Description
`StopStoppables()`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
`void`
`doAction(ActionEvent e)`
`Set<String>`
`getActionNames()`

### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

`getParentFrame, popupCheckExistingFileListener, popupShouldSave`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StopStoppables

public StopStoppables()

## Method Details

### getActionNames

public Set<String> getActionNames()

Specified by:
  `getActionNames` in interface `Command`

### actionPerformed

public void actionPerformed(ActionEvent e)

Specified by:
  `actionPerformed` in interface `ActionListener`

### doAction

public void doAction(ActionEvent e)

Specified by:
  `doAction` in interface `Command`
Overrides:
  `doAction` in class `AbstractAction`
See Also:
  - `Command.doAction(ActionEvent)`